Name:		tint2
Version:	0.12.11
Release:	1%{?dist}
Summary:	A lightweight X11 desktop panel and task manager

Group:		User Interface/Desktops
License:	GPLv2
URL:		https://gitlab.com/o9000/tint2
# To generate tarball
# git clone https://gitlab.com/o9000/tint2.git
# cd tint2
# git checkout tags/%%{version}
# ./make_release.sh
Source0:	http://leigh123linux.fedorapeople.org/pub/%{name}/source/%{name}-%{version}.tar.gz 

BuildRequires:	cmake
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

Obsoletes:	tintwizard

%description
tint2 is a simple panel/taskbar made for modern X window managers. It was
specifically made for Openbox3 but should also work with other window managers
(GNOME, KDE, etc...). It's based on ttm code http://code.google.com/p/ttm/.

%prep
%setup -q

%build
mkdir -p build
pushd build
%{cmake} -DENABLE_EXAMPLES=ON ..
popd

%install
pushd build
%{make_install}
popd

# Move .tint2rc and put sample/ in %%doc
mkdir sample/
mv %{buildroot}%{_datadir}/tint2/*.tint2rc sample/

# create tint2 config directory
mkdir -p %{buildroot}%{_sysconfdir}/skel/.config/tint2/

desktop-file-install	\
	--set-key=NoDisplay  --set-value=true	\
	--delete-original	\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{buildroot}/%{_datadir}/applications/tint2.desktop

desktop-file-install	\
	--delete-original	\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{buildroot}/%{_datadir}/applications/tint2conf.desktop

%find_lang tint2conf

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f tint2conf.lang
%doc AUTHORS ChangeLog README.md sample/
%license COPYING
%{_bindir}/tint2
%{_bindir}/tint2conf
%config(noreplace) %{_sysconfdir}/xdg/tint2/tint2rc
%{_sysconfdir}/skel/.config/tint2/
%{_datadir}/tint2/
%{_datadir}/applications/tint2conf.desktop
%{_datadir}/applications/tint2.desktop
%{_datadir}/icons/hicolor/scalable/apps/tint*
%{_mandir}/man1/tint2.*

%changelog
* Thu May 19 2016 Leigh Scott <leigh123linux@googlemail.com> - 0.12.11-1
- New version 0.12.11

* Wed Feb 24 2016 Leigh Scott <leigh123linux@googlemail.com> - 0.12.7-1
- New version 0.12.7

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 25 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.12.3-1
- New version 0.12.3

* Tue Aug 11 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.12.2-1
- New version 0.12.2

* Tue Aug 04 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.12.1-2
- upstream commit should fix bz 1249777

* Tue Aug 04 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.12.1-1
- New version 0.12.1

* Tue Jul 14 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.12-4
- add obsoletes tintwizard

* Tue Jul 14 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.12-3
- remove requires tintwizard

* Tue Jul 14 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.12-2
- fix source release version

* Tue Jul 14 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.12-1
- New version 0.12

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Leigh Scott <leigh123linux@googlemail.com> - 0.11-13
- create tint2 config directory

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 24 2013 Germán A. Racca <skytux@fedoraproject.org> - 0.11-9
- Added dependency on tintwizard (BZ#880626)
- Replaced tabs by spaces in spec file

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Germán A. Racca <skytux@fedoraproject.org> 0.11-5
- Fixed unowned directory (BZ#744930)

* Wed Jun 01 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 0.11-4
- Adding tint2-add-power-now-support.patch (BZ#709821)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 20 2010 Germán A. Racca <gracca@gmail.com> 0.11-2
- Removed tintwizard.py because it was packaged separately

* Fri Jul 02 2010 German A. Racca <gracca@gmail.com> 0.11-1
- New version 0.11
- Used %%{cmake} to perform compilation
- Compiled with examples enabled
- Now really fixed BuildRequires

* Thu Apr 22 2010 German A. Racca <gracca@gmail.com> 0.9-2
- Fixed BuildRequires

* Fri Mar 26 2010 German A. Racca <gracca@gmail.com> 0.9-1
- New version 0.9

* Sat Mar 20 2010 German A. Racca <gracca@gmail.com> 0.8-2
- Rearrangement of some commands for good rpm practice
- Removed zero-length file

* Fri Jan 15 2010 German A. Racca <gracca@gmail.com> 0.8-1
- New version

* Mon Dec 21 2009 German A. Racca <gracca@gmail.com> 0.7.1-1
- Initial release of RPM package
